curl -X POST https://api.stableyard.fi/v2/webhooks/wh_abc123/url \
-H "Authorization: Bearer sy_secret_*" \
-H "Content-Type: application/json" \
-d '{
"url": "https://new-endpoint.com/webhooks"
}'
{
"object": "webhook",
"id": "wh_abc123",
"url": "https://new-endpoint.com/webhooks",
"requestId": "req_abc123"
}
Update the URL of an existing webhook
curl -X POST https://api.stableyard.fi/v2/webhooks/wh_abc123/url \
-H "Authorization: Bearer sy_secret_*" \
-H "Content-Type: application/json" \
-d '{
"url": "https://new-endpoint.com/webhooks"
}'
{
"object": "webhook",
"id": "wh_abc123",
"url": "https://new-endpoint.com/webhooks",
"requestId": "req_abc123"
}
sy_secret_*
curl -X POST https://api.stableyard.fi/v2/webhooks/wh_abc123/url \
-H "Authorization: Bearer sy_secret_*" \
-H "Content-Type: application/json" \
-d '{
"url": "https://new-endpoint.com/webhooks"
}'
{
"object": "webhook",
"id": "wh_abc123",
"url": "https://new-endpoint.com/webhooks",
"requestId": "req_abc123"
}